fixed CI and spacing

Signed-off-by: Joshua Fife <jpfife17@gmail.com>
This commit is contained in:
Joshua Fife 2021-09-04 15:50:24 -06:00
parent 15e85e390c
commit 63b5054432
6 changed files with 17 additions and 91 deletions

View File

@ -53,9 +53,9 @@ elif [ "$fpga_family" == "eos-s3" -a -z "$examples" ]; then
fi
# activate conda and enter example dir
snippets="docs/building-examples.rst:export-install-dir,fpga-fam-$fpga_family,conda-prep-env-$fpga_family,conda-act-env,enter-dir-$fpga_family"
additionalDesigns="docs/building-examples.rst:export-install-dir,fpga-fam-$fpga_family,conda-prep-env-$fpga_family,conda-act-env,enter-dir-$fpga_family,additional_examples"
projfDesigns="docs/building-examples.rst:export-install-dir,fpga-fam-$fpga_family,conda-prep-env-$fpga_family,conda-act-env"
# Xilinx 7-Series examples
if [ "$fpga_family" = "xc7" ]; then
@ -83,10 +83,11 @@ if [ "$fpga_family" = "xc7" ]; then
;;
"timer")
snippets="${snippets} xc7/timer/README.rst:example-watch-basys3"
;;
# Project F examples
"hello-a")
TARGET="arty_35" make -C projf-makefiles/hello/hello-arty/A
snippets="${projfDesigns} projf-makefiles/hello/hello-arty/A/README.rst:hello-arty-A"
;;
*)
echo "ERROR: Unknown example name: $example" >&2

View File

@ -1,76 +0,0 @@
#!/bin/bash
#
# Copyright (C) 2020 The SymbiFlow Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# https://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# SPDX-License-Identifier: Apache-2.0
set -e
CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" >/dev/null 2>&1 && pwd )"
source ${CURRENT_DIR}/common.sh
# -- validate input ----------------------------------------------------------
function help() {
echo
echo "Build examples from the repository"
echo
echo "Syntax: $0 fpga_family [examples]..."
echo "Arguments:"
echo " fpga_family - A supported FPGA family"
echo " examples - A name of an available example from project F"
echo
}
if [[ ! $# -ge 1 ]]; then
echo "Invalid number of arguments!"
help
exit 1
fi
# -- tuttest -----------------------------------------------------------------
fpga_family=$1
shift
examples="$@"
if [ "$fpga_family" == "xc7" -a -z "$examples" ]; then
examples="hello-a"
fi
# activate conda and enter example dir
snippets="docs/building-examples.rst:export-install-dir,fpga-fam-$fpga_family,conda-prep-env-$fpga_family,conda-act-env"
# call tuttest to activate conda
tuttest_exec ${snippets}
# import project F
tuttest_exec "docs/project-f.rst:import-projectf"
# Xilinx 7-Series examples
if [ "$fpga_family" = "xc7" ]; then
for example in $examples; do
case $example in
"hello-a")
TARGET="arty_35" make -C projf-makefiles/hello/hello-arty/A
;;
*)
echo "ERROR: Unknown example name: $example" >&2
exit 1
;;
esac
done
fi

View File

@ -58,7 +58,6 @@ jobs:
- {fpga-fam: "xc7", os: "debian", os-version: "bullseye", example: "litex_linux"}
- {fpga-fam: "xc7", os: "debian", os-version: "sid", example: "litex_linux"}
- {fpga-fam: "xc7", os: "ubuntu", os-version: "xenial", example: "button_controller"}
- {fpga-fam: "xc7", os: "ubuntu", os-version: "bionic", example: "button_controller"}
- {fpga-fam: "xc7", os: "ubuntu", os-version: "focal", example: "button_controller"}
@ -86,7 +85,6 @@ jobs:
- {fpga-fam: "xc7", os: "debian", os-version: "bullseye", example: "timer"}
- {fpga-fam: "xc7", os: "debian", os-version: "sid", example: "timer"}
- {fpga-fam: "xc7", os: "ubuntu", os-version: "xenial", example: "hello-a"}
- {fpga-fam: "xc7", os: "ubuntu", os-version: "bionic", example: "hello-a"}
- {fpga-fam: "xc7", os: "ubuntu", os-version: "focal", example: "hello-a"}
@ -124,9 +122,6 @@ jobs:
- name: Build examples
run: bash .github/scripts/build-examples.sh ${{matrix.fpga-fam}} ${{matrix.example}}
- name: Build Project F
run: bash .github/scripts/build-projF.sh ${{matrix-projF.fpga-fam}} ${{matrix-projF.example}}
- uses: actions/upload-artifact@v2
with:
name: symbiflow-examples-bitstreams

View File

@ -45,7 +45,3 @@ For example to download the first design from hello arty:
cd hello-build/A
openocd -f ${INSTALL_DIR}/${FPGA_FAM}/conda/envs/${FPGA_FAM}/share/openocd/scripts/board/digilent_arty.cfg -c "init; pld load 0 top.bit; exit"

View File

@ -5,8 +5,6 @@ BUILDDIR := ${current_dir}/../../../../hello-build
TOP := top
SOURCES := ${proj_f_dir}/top.sv
XDC := ${proj_f_dir}/arty.xdc
include ${current_dir}/../../../common.mk

View File

@ -0,0 +1,12 @@
Part 1 Design A
===============
This design allows you to turn the first led on the arty board on and off by toggling switch 0.
To build this design run the following command in main symbiflow directory:
.. code:: bash
:name: hello-arty-A
TARGET="arty_35" make -C projf-makefiles/hello/hello-arty/A"
You can then find the bitstream under ``symbiflow-examples/hello-build/A``.